package com.ruoyi.web.work.domain.dto;

import lombok.Data;

import javax.validation.constraints.Digits;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class CompanyPayDto {

    @NotNull(message = "充值金额不能为空")
    @Digits(integer = 10, fraction = 2, message = "充值金额只能包含最多两位小数")
    private BigDecimal money;

    @NotBlank(message = "参数不能为空")
    private String ident;
}
