package com.ruoyi.web.work.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
@Accessors(chain = true)
public class JTaskCompleteDto {

    @NotNull(message = "参数错误")
    private Long id;

    @NotNull(message = "参数错误")
    @Min(value = 2, message = "参数错误")
    @Max(value = 3, message = "参数错误")
    private Integer isComplete;

    @ApiModelProperty(value = "甲方驳回完成说明")
    private String rejectMsg;

}
