package com.ruoyi.web.work.domain.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author lsw
 * @date 2024-07-03
 */
@Data
@Accessors(chain = true)
public class TaskListDto {

    @NotNull(message = "参数错误")
    private Long taskId;

    @NotBlank(message = "任务图片不能为空")
    private String pic;

    @NotBlank(message = "任务内容不能为空")
    private String contents;

}
