package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.TaskList;
import com.ruoyi.web.work.domain.dto.TaskListDto;

import java.util.List;

/**
 * @author lsw
 * @date 2024-07-03
 */
public interface ITaskListService extends IService<TaskList> {
    List<TaskList> selectList(TaskList taskList);

    /**
     * 添加任务进度
     *
     * @param dto
     * @return
     */
    AjaxResult add(TaskListDto dto);

    /**
     * 删除任务进度
     *
     * @param id
     * @return
     */
    AjaxResult remove(Long id);
}
